function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("BusinessEvents Resource Reference Tables","4");
A=P.fN("Preface","5");
var B=A.fN("Changes from the Previous Release of this Guide","6");
B=A.fN("TIBCO BusinessEvents Express","7");
B=A.fN("Related Documentation","8");
var C=B.fN("TIBCO BusinessEvents and Add-On Product Documentation","8#52411");
C=B.fN("Accessing TIBCO BusinessEvents Functions Reference Documentation","8#52617");
C=B.fN("Other TIBCO Product Documentation","8#52630");
B=A.fN("Typographical Conventions","9");
B=A.fN("Connecting with TIBCO Resources","10");
C=B.fN("How to Join TIBCOmmunity","10#52350");
C=B.fN("How to Access All TIBCO Documentation","10#52361");
C=B.fN("How to Contact TIBCO Support","10#52368");
A=P.fN("Introduction to Project Development","11");
A=P.fN("Project Tasks","12");
B=A.fN("Creating a Project","13");
B=A.fN("Finding a Project Element","14");
B=A.fN("Exporting (Generating) Concept and Event Schema (XSD) Files","15");
B=A.fN("Validating a Project or Project Resource","16");
B=A.fN("Working with External Library and Custom Function Paths","17");
B=A.fN("Working with Project Libraries","18");
C=B.fN("Creating (Exporting) a Project Library","18#2388622");
C=B.fN("Adding and Removing Project Libraries in a Project","18#2388661");
B=A.fN("Working with Global Variables","19");
C=B.fN("Adding and Managing Global Variables","19#2455217");
C=B.fN("Using Global Variables","19#2399579");
C=B.fN("Overriding Global Variables at Deploy Time","19#2414126");
B=A.fN("Storing Trusted Certificates Outside of Your Project","20");
B=A.fN("Building an Enterprise Archive (EAR File)","21");
C=B.fN("Deployment Options","21#2414474");
C=B.fN("Building an EAR File in TIBCO BusinessEvents Studio","21#2402059");
A=P.fN("TIBCO BusinessEvents Studio Tools Utility","22");
B=A.fN("Building an Enterprise Archive (EAR File) at the Command Line","23");
B=A.fN("Importing a TIBCO BusinessEvents (4.x) Studio Project at the Command Line","24");
B=A.fN("Importing a TIBCO BusinessEvents 3.x Project at the Command Line","25");
B=A.fN("Working With Project Libraries at the Command Line","26");
B=A.fN("Migrating Core Coherence Functions at the Command Line","27");
B=A.fN("Importing an Excel File into TIBCO BusinessEvents Decision Manager at the Command Line","28");
B=A.fN("Validating a Decision Table at the Command Line","29");
B=A.fN("Generating Decision Table Class Files at the Command Line","30");
B=A.fN("Committing Project Artifacts to RMS at the Command Line","31");
B=A.fN("Setting up RMS Projects at the Command Line","32");
A=P.fN("Element Refactoring Operations","33");
B=A.fN("Renaming, Moving, Deleting, and Copy-Pasting Elements","34");
C=B.fN("Project Level Actions","34#2394920");
C=B.fN("Renaming, Moving, and Deleting Elements","34#2415289");
C=B.fN("Copy-Pasting an Element","34#2405668");
B=A.fN("Migrating Core Coherence Functions","35");
B=A.fN("Automatic Refactoring Actions and Limitations","36");
C=B.fN("Refactoring Limitations","36#2388839");
C=B.fN("Refactoring for Move and Rename Operations","36#2388845");
C=B.fN("Refactoring for Delete Operations","36#2388915");
A=P.fN("Channels and Destinations","37");
B=A.fN("Overview of Channels and Destinations","38");
C=B.fN("Types of Channels","38#2388510");
B=A.fN("Selecting a Serializer","39");
C=B.fN("Deploy-time Configuration","39#2388570");
B=A.fN("Mapping Incoming Messages to Non-default Events","40");
B=A.fN("Working with Rendezvous Channels","41");
C=B.fN("Rendezvous Message Header","41#2388638");
C=B.fN("Basic Serializer","41#2388644");
C=B.fN("Serializer For Use with Payloads","41#2388654");
C=B.fN("Avoiding REGISTRATION COLLISION RVCM Advisory Messages","41#2457596");
B=A.fN("Working with Local Channels","42");
C=B.fN("Event Use Count","42#2388729");
C=B.fN("Using a Local Channel","42#2388736");
B=A.fN("Adding Channels and Destinations","43");
C=B.fN("Adding a Destination to a Channel","43#2388797");
B=A.fN("Communicating with Other Sources using TCP","44");
C=B.fN("APIs for TCP Communication","44#2407144");
B=A.fN("Channel Resource Reference","45");
C=B.fN("Wizard and Configuration Section","45#2388853");
B=A.fN("Destination Resource Reference","46");
A=P.fN("JMS Channels","47");
B=A.fN("Overview of JMS Channels","48");
B=A.fN("Selecting a JMS Serializer","49");
C=B.fN("BytesMessageSerializer","49#2389400");
C=B.fN("TextMessageSerializer","49#2389406");
B=A.fN("Creating Unique JMS DurableSubscriber Name Properties","50");
B=A.fN("Changing the JMS Message Acknowledgment Mode","51");
C=B.fN("Using CLIENT_ACKNOWLEDGE Mode with Websphere MQ and Cache-Aside","51#2445990");
B=A.fN("Using JMS Header Properties in Incoming and Outgoing Messages","52");
C=B.fN("Setting Certain Header Properties in Destinations","52#2389606");
C=B.fN("Setting Header Properties Using Header Properties from Incoming JMS Messages","52#2389616");
C=B.fN("Setting JMS Header Properties in Outgoing JMS Messages Using Event Properties","52#2423100");
C=B.fN("How TIBCO BusinessEvents Sets the JMSReplyTo Header in Outgoing Messages","52#2389654");
B=A.fN("JMS Header Field Names","53");
A=P.fN("HTTP and SOAP Channels","54");
B=A.fN("Overview of HTTP and SOAP Channels","55");
C=B.fN("Selecting the Server Type","55#2389908");
C=B.fN("SOAP Support","55#2389917");
B=A.fN("Working with HTTP Requests","56");
C=B.fN("Mapping of HTTP Requests to Events","56#2413446");
C=B.fN("Sending Non-ASCII Content to Event Properties","56#2459851");
C=B.fN("Mapping of HTTP Request URI to Destination","56#2424389");
C=B.fN("Configuring TIBCO BusinessEvents to Receive and Send HTTP Requests","56#2424048");
B=A.fN("HTTP Channel Advanced Configuration Settings","57");
C=B.fN("Defining Event Properties for Standard HTTP Header Properties","57#2416512");
B=A.fN("Using HTTP Functions to Configure HTTP Request Messages","58");
C=B.fN("Generating a Self-Signed SSL Certificate (Keystore)","58#2390251");
C=B.fN("Getting POST Data","58#2410756");
C=B.fN("Loading Trusted Certificates","58#2410184");
C=B.fN("Sending an Event","58#2410469");
C=B.fN("Sending an Asynchronous Request (Not Secure)","58#2411457");
C=B.fN("Sending a Secure Asynchronous Request","58#2410904");
C=B.fN("Sending a Secure Synchronous Request","58#2429581");
B=A.fN("Configuring TIBCO BusinessEvents as a SOAP Server and Client","59");
C=B.fN("Overview of SOAP Related Resources","59#2390521");
C=B.fN("Mapping of SOAP Request URI to Destination","59#2424517");
C=B.fN("Manually Creating Resources to Work with SOAP Services","59#2390538");
C=B.fN("Creating Resources Using the WSDL Import Utility","59#2390571");
C=B.fN("Exporting Resources as a WSDL File","59#2398884");
B=A.fN("Parsing and Building SOAP Messages","60");
C=B.fN("Working with Incoming SOAP Messages (Event Payloads)","60#2390596");
C=B.fN("Working with Outgoing SOAP Messages (Event Payloads)","60#2390693");
B=A.fN("Understanding the WSDL to Project Resource Mapping","61");
C=B.fN("Example WSDL","61#2390733");
C=B.fN("Example Project Folder Structure","61#2390789");
C=B.fN("How Project Artifacts are Named","61#2390976");
A=P.fN("Simple Events","62");
B=A.fN("Overview of Simple Events","63");
C=B.fN("Using Inheritance","63#2388444");
B=A.fN("Working with Events in Rules","64");
C=B.fN("Explicitly Assert Events Created in Rules","64#2397386");
C=B.fN("Specifying Default and Non-Default Destinations","64#2397271");
C=B.fN("Scheduling Simple Events","64#2397395");
B=A.fN("Adding a Simple Event","65");
B=A.fN("Simple Event Reference","66");
C=B.fN("Wizard and Configuration (Standard Tab)","66#2388493");
C=B.fN("Properties (Standard Tab)","66#2388591");
C=B.fN("Declaration and Expiry Action (Advanced Tab)","66#2390889");
C=B.fN("Payload (Advanced Tab)","66#2388639");
B=A.fN("Simple Event Attributes Reference","67");
A=P.fN("Time Events and Scheduler Functions","68");
B=A.fN("Overview of Time Events","69");
C=B.fN("Scheduled Time Events","69#2388977");
C=B.fN("Rule Based Time Events","69#2388991");
B=A.fN("Working With Time Events","70");
C=B.fN("Adding a Time Event","70#2389004");
C=B.fN("Configuring a Rule Based Time Event in a Rule or Rule Function","70#2389030");
B=A.fN("TimeEvent Resource Reference","71");
C=B.fN("Wizard and Configuration Tab","71#2389059");
B=A.fN("TimeEvent Attributes Reference","72");
B=A.fN("Rule Based TimeEvent Function Reference","73");
B=A.fN("Using Scheduler Functions (Requires Cache OM)","74");
A=P.fN("Advisory Events","75");
B=A.fN("Working With Advisory Events","76");
C=B.fN("Uses of Advisory Events","76#2389256");
C=B.fN("Adding an Advisory Event to a Rule","76#2389305");
B=A.fN("Advisory Event Attributes Reference","77");
A=P.fN("Concepts","78");
B=A.fN("Overview of Concepts","79");
B=A.fN("Adding Concepts and Concept Relationships","80");
C=B.fN("Adding a Concept","80#2388447");
C=B.fN("Adding Concept Relationships","80#2388472");
B=A.fN("Concept Resource Reference","81");
C=B.fN("Wizard and Configuration Tab","81#2388531");
C=B.fN("Properties","81#2388596");
C=B.fN("Metadata","81#2388679");
B=A.fN("Concept Attributes Reference","82");
A=P.fN("Scorecards","83");
B=A.fN("Understanding and Working With Scorecards","84");
C=B.fN("Adding a Scorecard","84#2389047");
C=B.fN("Using a Scorecard in Rules","84#2389063");
C=B.fN("Scorecard Resource Reference","84#2389069");
A=P.fN("Domain Models","85");
B=A.fN("Overview of Domain Models","86");
C=B.fN("Domain Model Value Descriptions for User Friendly Presentation","86#2399201");
B=A.fN("Adding Domain Models","87");
B=A.fN("Importing and Exporting Domain Models","88");
C=B.fN("Export To and Import From Excel","88#2399340");
C=B.fN("Import From a Database Table","88#2399398");
B=A.fN("Associating Domain Models with a Property","89");
B=A.fN("Validating Data in Domain Models","90");
A=P.fN("Shared Resources","91");
B=A.fN("Adding a Shared Resource","92");
C=B.fN("Enabling the Test Connection Feature","92#1694034");
B=A.fN("HTTP Connection","93");
C=B.fN("Wizard and Configuration Tab","93#1675181");
C=B.fN("Configure SSL","93#1675233");
B=A.fN("Identity Resource","94");
C=B.fN("Wizard and Configuration Tab","94#1678945");
B=A.fN("JDBC Connection","95");
C=B.fN("Wizard and Configuration Tab","95#1676047");
C=B.fN("Connection Pooling","95#1678425");
C=B.fN("Test Connection Button","95#1678434");
B=A.fN("JMS Application Properties","96");
C=B.fN("Wizard and Configuration Tab","96#1686687");
B=A.fN("JMS Connection","97");
C=B.fN("Wizard and Configuration Tab","97#1676395");
C=B.fN("Test Connection Button","97#1676595");
C=B.fN("Advanced Tab","97#1677771");
C=B.fN("Configure SSL","97#1676647");
B=A.fN("JNDI Configuration","98");
C=B.fN("Wizard and Configuration Tab","98#1676193");
C=B.fN("Advanced Section","98#1690679");
B=A.fN("Rendezvous Transport","99");
C=B.fN("Wizard and Configuration Tab","99#1677456");
C=B.fN("Configure SSL Button","99#1677570");
C=B.fN("Advanced Section","99#1677589");
A=P.fN("Rules and Rule Functions","100");
B=A.fN("Overview of Rules and Rule Functions","101");
C=B.fN("Form-based and Source Rule Editors","101#2388424");
C=B.fN("Rule Components","101#2410830");
C=B.fN("Effect of Cache Only Cache Mode","101#2388457");
B=A.fN("Adding a Rule","102");
B=A.fN("Rule Editor Reference","103");
B=A.fN("Adding a Rule Function","104");
B=A.fN("Rule Function Resource Reference","105");
B=A.fN("Using Variables and Functions in the Rule Editor","106");
C=B.fN("Using Catalog Functions in the Rule Editor","106#2421632");
C=B.fN("Using Global Variables in the Rule Editor","106#2410449");
C=B.fN("Using the Function Argument Mapper","106#2410424");
B=A.fN("Using Priority and Rank to Control Order of Rule Execution","107");
B=A.fN("Using the Quick Fix Feature in the Rule Editor","108");
B=A.fN("Tips for Working in the Rule Editor","109");
B=A.fN("Event Preprocessors","110");
C=B.fN("Configuring an Event Preprocessor","110#2388835");
B=A.fN("Transaction Error Handler Rule Function","111");
A=P.fN("Functions","112");
B=A.fN("Overview of Catalog Functions","113");
C=B.fN("Built-in Functions","113#2389127");
C=B.fN("Custom Functions","113#2389204");
C=B.fN("Enabling Extended Functions","113#2414064");
B=A.fN("Function Tooltips and Decorations","114");
C=B.fN("Tool Tips","114#2414958");
C=B.fN("Decorations Indicating Where Functions can be Called","114#2414979");
B=A.fN("Temporal Functions and Their Parameters","115");
B=A.fN("VRF Functions","116");
B=A.fN("Guidelines for Use of Cache Related Functions","117");
B=A.fN("Guidelines for Use of Oracle Coherence Functions","118");
C=B.fN("Constants and Extractors Categories","118#2423017");
C=B.fN("Filters Category","118#2389450");
C=B.fN("Query Category","118#2389460");
C=B.fN("Query Optimization","118#2428352");
B=A.fN("Adding Custom Functions","119");
C=B.fN("Task Summary","119#2389504");
B=A.fN("Restrictions on Use of Custom Functions","120");
C=B.fN("Static and Non-Static Functions","120#2389587");
C=B.fN("Return Types","120#2389591");
C=B.fN("Name Overloading","120#2389603");
C=B.fN("Editing Custom Functions","120#2408062");
B=A.fN("Structure of a Function Catalog","121");
C=B.fN("Elements in the Function Catalog","121#2389634");
C=B.fN("Example Function Catalog","121#2389811");
A=P.fN("Rule Language Grammar","122");
B=A.fN("Rule Language Basics","123");
C=B.fN("Whitespace","123#2388419");
C=B.fN("Comments","123#2388430");
C=B.fN("Separators","123#2388440");
C=B.fN("Identifiers (Names)","123#2388461");
C=B.fN("Local Variables","123#2388488");
C=B.fN("Literals","123#2388656");
C=B.fN("Escape Sequences","123#2388673");
C=B.fN("Operators","123#2388719");
B=A.fN("Keywords and Other Reserved Words","124");
B=A.fN("Attributes","125");
B=A.fN("Accessing Concept and Event Properties","126");
C=B.fN("Concept Property Atom","126#2389073");
C=B.fN("Concept Property Array","126#2389117");
C=B.fN("Event Property","126#2389147");
B=A.fN("Exception Handling","127");
C=B.fN("Syntax","127#2389172");
C=B.fN("Examples","127#2391988");
B=A.fN("Flow Control","128");
C=B.fN("if/else","128#2389238");
C=B.fN("for","128#2389248");
C=B.fN("while","128#2389266");
A=P.fN("Rule Language Datatypes","129");
B=A.fN("Concept Properties to XML Datatype Conversions","130");
B=A.fN("Compatibility of Operators with Types","131");
B=A.fN("Correcting Inconsistencies of Type","132");
C=B.fN("String Operands","132#2389898");
C=B.fN("Arithmetic Expressions","132#2389906");
C=B.fN("Assignment Conversion","132#2389918");
C=B.fN("Function Argument Conversion","132#2389923");
A=P.fN("Mapping and Transforming Data","133");
B=A.fN("Overview of Mapping and Transformation","134");
C=B.fN("Function Section","134#1675214");
C=B.fN("Input Section","134#1675320");
C=B.fN("Mapping and Transforming Data to Function Input","134#1673125");
C=B.fN("Statements, Hints, and Errors","134#1673143");
B=A.fN("Buttons, Menus, and Icons","135");
C=B.fN("Toolbar and Right-Click Menu on the Input Section","135#1673164");
C=B.fN("Icons for Schema Element Datatypes","135#1673421");
C=B.fN("Qualifier Icons","135#1673513");
B=A.fN("Specifying Constants","136");
C=B.fN("Date and Datetime Strings in Constants","136#1673589");
B=A.fN("Data Validation","137");
B=A.fN("Repairing Incorrect Mappings","138");
B=A.fN("Shortcuts","139");
C=B.fN("Statement Menu Options","139#1673830");
C=B.fN("Dragging to the Left","139#1673842");
C=B.fN("Cutting and Pasting","139#1673863");
C=B.fN("Automatic Testing (at Runtime)","139#1689518");
B=A.fN("Examples of Mappings","140");
C=B.fN("Setting an Element Explicitly to Nil","140#1673960");
C=B.fN("Merging Input from Multiple Sources","140#1690538");
C=B.fN("Converting a List Into a Grouped List","140#1690596");
C=B.fN("Merging Two Corresponding Lists","140#1690641");
C=B.fN("Coercions","140#1690688");
B=A.fN("XSLT Statements","141");
C=B.fN("Attribute","141#1674179");
C=B.fN("Choose","141#1674190");
C=B.fN("Comment","141#1674203");
C=B.fN("Copy","141#1674208");
C=B.fN("Copy-Contents-Of","141#1674213");
C=B.fN("Copy-Of","141#1674221");
C=B.fN("Element","141#1674226");
C=B.fN("For-Each","141#1674231");
C=B.fN("For-Each-Group","141#1691123");
C=B.fN("Generate Comment","141#1674249");
C=B.fN("Generate PI","141#1674254");
C=B.fN("If","141#1674259");
C=B.fN("Value-Of","141#1674270");
C=B.fN("Variable","141#1674275");
A=P.fN("XPath Formula Builder","142");
B=A.fN("XPath Basics","143");
C=B.fN("Addressing Schema Elements","143#1674314");
C=B.fN("Evaluation Context","143#1674328");
C=B.fN("Namespaces","143#1674331");
C=B.fN("Search Predicates","143#1674336");
C=B.fN("Testing for Nil","143#1674352");
C=B.fN("Comments","143#1674356");
B=A.fN("The XPath Formula Builder","144");
B=A.fN("String Representations of Datatypes","145");
B=A.fN("Date and Time Functions","146");
A=P.fN("ActiveMatrix BusinessWorks Integration","147");
B=A.fN("Overview of Integration with ActiveMatrix BusinessWorks","148");
C=B.fN("The Container and the Contained Engine","148#1689318");
B=A.fN("Integration Components","149");
C=B.fN("ActiveMatrix BusinessWorks Activities Palette","149#1685099");
C=B.fN("TIBCO BusinessEvents Functions","149#1675416");
B=A.fN("Design Considerations","150");
C=B.fN("Integration Scope","150#1675856");
C=B.fN("Thread Management","150#1675872");
C=B.fN("Design Considerations Related to Container","150#1675922");
C=B.fN("Fault Tolerance With a TIBCO BusinessEvents Container","150#1676057");
C=B.fN("Tips for Working With ActiveMatrix BusinessWorks Containers","150#1676085");
B=A.fN("Configuring the Environment for ActiveMatrix BusinessWorks Containers","151");
B=A.fN("Configuring the Environment For TIBCO BusinessEvents Containers","152");
B=A.fN("Configuring a RuleServiceProvider Configuration Resource","153");
B=A.fN("TIBCO BusinessEvents RuleServiceProvider Configuration Resource Reference","154");
C=B.fN("Configuration","154#1692254");
B=A.fN("Working With the TIBCO BusinessEvents Activities","155");
B=A.fN("Receive Event Resource Reference","156");
C=B.fN("Configuration","156#1679527");
C=B.fN("Misc","156#1679563");
C=B.fN("Output","156#1679587");
B=A.fN("Send Event Resource Reference","157");
C=B.fN("Configuration","157#1679613");
C=B.fN("Input","157#1688859");
B=A.fN("Wait for Event Resource Reference","158");
C=B.fN("Configuration","158#1679673");
C=B.fN("Event","158#1679709");
C=B.fN("Input","158#1679737");
C=B.fN("Output","158#1679759");
B=A.fN("Invoking a TIBCO BusinessEvents Rule Function from a Process","159");
C=B.fN("Specifying Input Arguments","159#1682500");
C=B.fN("Using Synchronous Invocation","159#1682514");
C=B.fN("Using the lockWM Parameter","159#1682525");
C=B.fN("Overriding the Rule Function at Runtime","159#1682537");
B=A.fN("Working With Invoke RuleFunction Activities","160");
B=A.fN("Invoke RuleFunction Resource Reference","161");
C=B.fN("Configuration","161#1682612");
C=B.fN("Input","161#1682665");
C=B.fN("Output","161#1682710");
B=A.fN("Working with the BusinessWorks Functions","162");
C=B.fN("Providing Paths to TIBCO BusinessEvents Project Resources Using Schemas","162#1699243");
C=B.fN("Using invokeProcess()","162#1682733");
C=B.fN("Using startProcess()","162#1682832");
C=B.fN("Using cancelProcess()","162#1682926");
C=B.fN("Using init()","162#1682934");
C=B.fN("Using shutdown()","162#1682962");
A=P.fN("TIBCO BusinessEvents Performance Profiler","163");
B=A.fN("Overview of Profiler","164");
B=A.fN("Changing the Delimiter Character","165");
B=A.fN("Turning Profiler On and Off","166");
C=B.fN("To Turn Profiler On and Off Using TIBCO BusinessEvents Monitoring and Management","166#2389345");
C=B.fN("To Turn Profiler On and Off Using Properties","166#2390503");
C=B.fN("To Turn Profiler On and Off Using Functions","166#2388555");
C=B.fN("To Turn Profiler On and Off Using TIBCO Hawk Methods","166#2388597");
B=A.fN("Profiler Reference","167");
A=P.fN("Testing and Debugging Projects","168");
B=A.fN("Overview","169");
C=B.fN("Debugging","169#2403330");
C=B.fN("Testing Projects","169#2399445");
C=B.fN("Launch Configurations","169#2404632");
C=B.fN("Test Data","169#2404479");
C=B.fN("The Rule Agenda and Variable Views","169#2404679");
C=B.fN("Viewing and Understanding Results","169#2420763");
B=A.fN("Preparing to Run (Test) or Debug a Project","170");
C=B.fN("Build an EAR File","170#2388406");
C=B.fN("Create Test Data (as Desired)","170#2401882");
C=B.fN("For Remote Debugging Only, Configure Java Debug Interface (JDI)","170#2403917");
B=A.fN("Adding and Working with Launch (Debug or Run) Configurations","171");
B=A.fN("Launch Configurations Reference","172");
C=B.fN("For Testing and Local Debugging","172#2390492");
C=B.fN("For Remote Debugging","172#2390734");
B=A.fN("Creating and Working With Test Data","173");
C=B.fN("Working with Concept and Event Test Data","173#2406553");
C=B.fN("Working with Rule Data","173#2406437");
B=A.fN("Setting Breakpoints and Running Debugger","174");
B=A.fN("Running Tester","175");
C=B.fN("Running the Engine","175#2408043");
C=B.fN("Asserting Rule Input Data","175#2407067");
B=A.fN("Viewing the Results","176");
C=B.fN("Understanding Result Data","176#2408761");
C=B.fN("Viewing and Understanding Working Memory Contents","176#2408783");
A=P.fN("Diagrams","177");
B=A.fN("Overview of Diagrams","178");
B=A.fN("Working with Diagrams","179");
C=B.fN("Configuring Diagram Preferences and Properties","179#2468343");
C=B.fN("Performing Common Tasks","179#2443447");
C=B.fN("Using Diagram Tools","179#2443544");
C=B.fN("Exporting a Diagram to an Image","179#2449143");
C=B.fN("Printing a Diagram","179#2449159");
C=B.fN("Setting Diagram Preferences","179#2452670");
B=A.fN("Project Analyzer and Selected Entity Project Diagrams","180");
C=B.fN("Advantages of Project Analyzer and Selected Entity Project Diagrams","180#2447245");
C=B.fN("Working with Project Analyzer and Selected Entity Project Diagrams","180#2447272");
B=A.fN("Dependency Diagrams","181");
B=A.fN("Sequence Diagrams","182");
B=A.fN("Concept Model Diagrams","183");
B=A.fN("Event Model Diagrams","184");
B=A.fN("Diagram Options and Tools Reference","185");
C=B.fN("Layout Options","185#2419550");
A=P.fN("TIBCO BusinessEvents Studio Preferences","186");
B=A.fN("Setting Preferences","187");
C=B.fN("TIBCO BusinessEvents","187#2465685");
C=B.fN("Code Generation Shared Archive Ignored Resources Preferences","187#2466263");
C=B.fN("Compare/Merge, Decision Table, and Decision Tree","187#2465917");
C=B.fN("Diagram Preferences","187#2466051");
C=B.fN("Printing Preferences","187#2466086");
C=B.fN("Error/Warning Preferences","187#2466922");
C=B.fN("Rules Preferences and Rule Debug Preferences","187#2466165");
C=B.fN("Rules Management Server Preferences","187#2466241");
C=B.fN("Tester and Tester Appearance Preferences","187#2466256");
B=A.fN("Decision Table Related Preferences","188");
C=B.fN("Decision Table Analyzer Preferences","188#2470903");
C=B.fN("Decision Table Appearance Preferences","188#2470909");
C=B.fN("Compare/Merge Preferences","188#2470915");
B=A.fN("Diagram Preferences","189");
B=A.fN("Tester Preferences","190");
A=P.fN("Handling Null Properties","191");
B=A.fN("Handling Null Concept Property Values","192");
C=B.fN("Enabling Use of the Nillable Attribute","192#1675329");
C=B.fN("Enabling Null Property Values to Appear When Serializing Concepts to XML","192#1674864");
C=B.fN("Examples of Nillable Attribute and Null Properties Settings","192#1674872");
C=B.fN("Enabling and Setting Special Treatment of Numeric Null Values","192#1674903");
C=B.fN("Setting Runtime Properties for Special Treatment of Null Values","192#1674966");
C=B.fN("Property Reference for Null Property Handling","192#1674993");
}
